Package org.silverpeas.mobile.shared.dto.classifieds

## Class ClassifiedDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.BaseDTO
  - - org.silverpeas.mobile.shared.dto.classifieds.ClassifiedDTO

- All Implemented Interfaces:
    `Serializable`

      public class ClassifiedDTO
      extends BaseDTO

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassifiedDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCategory()` |
    `int` | `getCommentsNumber()` |
    `String` | `getCreationDate()` |
    `String` | `getCreatorId()` |
    `String` | `getCreatorName()` |
    `String` | `getDescription()` |
    `List<FormFieldDTO>` | `getFields()` |
    `List<String>` | `getPictures()` |
    `String` | `getPrice()` |
    `boolean` | `getShowPrice()` |
    `String` | `getTitle()` |
    `String` | `getType()` |
    `String` | `getUpdateDate()` |
    `void` | `setCategory​(String category)` |
    `void` | `setCommentsNumber​(int commentsNumber)` |
    `void` | `setCreationDate​(String creationDate)` |
    `void` | `setCreatorId​(String creatorId)` |
    `void` | `setCreatorName​(String creatorName)` |
    `void` | `setDescription​(String description)` |
    `void` | `setFields​(List<FormFieldDTO> fields)` |
    `void` | `setPictures​(List<String> pictures)` |
    `void` | `setPrice​(String price)` |
    `void` | `setShowPrice​(boolean showPrice)` |
    `void` | `setTitle​(String title)` |
    `void` | `setType​(String type)` |
    `void` | `setUpdateDate​(String updateDate)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.BaseDTO

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassifiedDTO

          public ClassifiedDTO()

  - ### Method Detail

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getPrice

          public String getPrice()

    - #### setPrice

          public void setPrice​(String price)

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public void setCategory​(String category)

    - #### getPictures

          public List<String> getPictures()

    - #### setPictures

          public void setPictures​(List<String> pictures)

    - #### getCreatorName

          public String getCreatorName()

    - #### setCreatorName

          public void setCreatorName​(String creatorName)

    - #### getCreationDate

          public String getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(String creationDate)

    - #### getUpdateDate

          public String getUpdateDate()

    - #### setUpdateDate

          public void setUpdateDate​(String updateDate)

    - #### getCommentsNumber

          public int getCommentsNumber()

    - #### setCommentsNumber

          public void setCommentsNumber​(int commentsNumber)

    - #### getCreatorId

          public String getCreatorId()

    - #### setCreatorId

          public void setCreatorId​(String creatorId)

    - #### getFields

          public List<FormFieldDTO> getFields()

    - #### setFields

          public void setFields​(List<FormFieldDTO> fields)

    - #### getShowPrice

          public boolean getShowPrice()

    - #### setShowPrice

          public void setShowPrice​(boolean showPrice)